Package: macopix / 3.4.0+dfsg.1-3

Metadata

Package Version Patches format
macopix 3.4.0+dfsg.1-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
001_port_gcc10.patch | (download)

src/main.c | 42 42 + 0 - 0 !
src/main.h | 123 71 + 52 - 0 !
2 files changed, 113 insertions(+), 52 deletions(-)

 port to gcc 10
 Solve some multiple definition.
002_patch_man_page.patch | (download)

macopix.1 | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 change section from 1 to 6
004_dont_link_to_gcrypt.patch | (download)

configure.ac | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 don't link to gcrypt
 This prevents compilation against GnuTLS 3.0.0 (available in
 experimental), which does not use gcrypt as crypto backend anymore.
Bug-Debian: http://bugs.debian.org/638412
006_CVE 2015 8614.patch | (download)

src/codeconv.c | 74 48 + 26 - 0 !
1 file changed, 48 insertions(+), 26 deletions(-)

 fix cve-2015-8614
 I tried to move the code from latest claws-mail upstream which fixes
 the bug already.
007_gettext_0.21.patch | (download)

configure.ac | 7 6 + 1 - 0 !
1 file changed, 6 insertions(+), 1 deletion(-)

 porting to gettext 0.21
 gettext 0.21 doesn't allow to use AM_GNU_GETTEXT without version.
 We patch configure.ac to use AM_GNU_GETTEXT_VERSION.
Bug-Debian: http://bugs.debian.org/978383